Create disaggregation target
curl --request POST \
--url https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{disaggregation_id}/targets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_date": "2026-01-27T02:53:04",
"target_value": 4326.41688,
"target_narrative": "architecto",
"target_status": "n",
"target_rating": "g"
}
'import requests
url = "https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{disaggregation_id}/targets"
payload = {
"target_date": "2026-01-27T02:53:04",
"target_value": 4326.41688,
"target_narrative": "architecto",
"target_status": "n",
"target_rating": "g"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_date: '2026-01-27T02:53:04',
target_value: 4326.41688,
target_narrative: 'architecto',
target_status: 'n',
target_rating: 'g'
})
};
fetch('https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{disaggregation_id}/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "Unauthenticated."
}Targets
Create Disaggregation Target
Store a newly created target.
POST
/
v1
/
projects
/
{project_id}
/
elements
/
{element_id}
/
indicators
/
{indicator_id}
/
disaggregations
/
{disaggregation_id}
/
targets
Create disaggregation target
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project.
The ID of the element.
The ID of the indicator.
The ID of the disaggregation.
Body
application/json
Response
Target created
The response is of type object.
⌘I